[lwatch-cvs] files depcomp,1.1,1.2 INSTALL,1.2,1.3 install-sh,1.3,1.4 missing,1.3,1.4 mkinstalldirs,
Brought to you by:
arturcz
|
From: <ar...@us...> - 2003-02-03 14:07:30
|
Update of /cvsroot/lwatch/files
In directory sc8-pr-cvs1:/tmp/cvs-serv17298
Modified Files:
depcomp INSTALL install-sh missing mkinstalldirs
Log Message:
- automake --add-missing --copy --force
Index: depcomp
===================================================================
RCS file: /cvsroot/lwatch/files/depcomp,v
retrieving revision 1.1
retrieving revision 1.2
diff -C2 -d -r1.1 -r1.2
*** depcomp 28 Jan 2003 23:31:01 -0000 1.1
--- depcomp 3 Feb 2003 14:07:25 -0000 1.2
***************
*** 32,36 ****
# `libtool' can also be set to `yes' or `no'.
! depfile=${depfile-`echo "$object" | sed 's,\([^/]*\)$,.deps/\1,;s/\.\([^.]*\)$/.P\1/'`}
tmpdepfile=${tmpdepfile-`echo "$depfile" | sed 's/\.\([^.]*\)$/.T\1/'`}
--- 32,45 ----
# `libtool' can also be set to `yes' or `no'.
! if test -z "$depfile"; then
! base=`echo "$object" | sed -e 's,^.*/,,' -e 's,\.\([^.]*\)$,.P\1,'`
! dir=`echo "$object" | sed 's,/.*$,/,'`
! if test "$dir" = "$object"; then
! dir=
! fi
! # FIXME: should be _deps on DOS.
! depfile="$dir.deps/$base"
! fi
!
tmpdepfile=${tmpdepfile-`echo "$depfile" | sed 's/\.\([^.]*\)$/.T\1/'`}
***************
*** 199,213 ****
tru64)
! # The Tru64 AIX compiler uses -MD to generate dependencies as a side
# effect. `cc -MD -o foo.o ...' puts the dependencies into `foo.o.d'.
! # At least on Alpha/Redhat 6.1, Compaq CCC V6.2-504 seems to put
# dependencies in `foo.d' instead, so we check for that too.
# Subdirectories are respected.
- tmpdepfile1="$object.d"
- tmpdepfile2=`echo "$object" | sed -e 's/.o$/.d/'`
if test "$libtool" = yes; then
"$@" -Wc,-MD
else
"$@" -MD
fi
--- 208,227 ----
tru64)
! # The Tru64 compiler uses -MD to generate dependencies as a side
# effect. `cc -MD -o foo.o ...' puts the dependencies into `foo.o.d'.
! # At least on Alpha/Redhat 6.1, Compaq CCC V6.2-504 seems to put
# dependencies in `foo.d' instead, so we check for that too.
# Subdirectories are respected.
+ dir=`echo "$object" | sed -e 's|/[^/]*$|/|'`
+ test "x$dir" = "x$object" && dir=
+ base=`echo "$object" | sed -e 's|^.*/||' -e 's/\.o$//' -e 's/\.lo$//'`
if test "$libtool" = yes; then
+ tmpdepfile1="$dir.libs/$base.lo.d"
+ tmpdepfile2="$dir.libs/$base.d"
"$@" -Wc,-MD
else
+ tmpdepfile1="$dir$base.o.d"
+ tmpdepfile2="$dir$base.d"
"$@" -MD
fi
***************
*** 241,272 ****
dashmstdout)
# Important note: in order to support this mode, a compiler *must*
! # always write the proprocessed file to stdout, regardless of -o,
! # because we must use -o when running libtool.
! test -z "$dashmflag" && dashmflag=-M
! ( IFS=" "
! case " $* " in
! *" --mode=compile "*) # this is libtool, let us make it quiet
! for arg
! do # cycle over the arguments
! case "$arg" in
! "--mode=compile")
! # insert --quiet before "--mode=compile"
! set fnord "$@" --quiet
! shift # fnord
! ;;
! esac
! set fnord "$@" "$arg"
! shift # fnord
! shift # "$arg"
! done
;;
esac
! "$@" $dashmflag | sed 's:^[^:]*\:[ ]*:'"$object"'\: :' > "$tmpdepfile"
! ) &
! proc=$!
! "$@"
! stat=$?
! wait "$proc"
! if test "$stat" != 0; then exit $stat; fi
rm -f "$depfile"
cat < "$tmpdepfile" > "$depfile"
--- 255,292 ----
dashmstdout)
# Important note: in order to support this mode, a compiler *must*
! # always write the proprocessed file to stdout, regardless of -o.
! "$@" || exit $?
!
! # Remove the call to Libtool.
! if test "$libtool" = yes; then
! while test $1 != '--mode=compile'; do
! shift
! done
! shift
! fi
!
! # Remove `-o $object'. We will use -o /dev/null later,
! # however we can't do the remplacement now because
! # `-o $object' might simply not be used
! IFS=" "
! for arg
! do
! case $arg in
! -o)
! shift
! ;;
! $object)
! shift
! ;;
! *)
! set fnord "$@" "$arg"
! shift # fnord
! shift # $arg
;;
esac
! done
!
! test -z "$dashmflag" && dashmflag=-M
! "$@" -o /dev/null $dashmflag | sed 's:^[^:]*\:[ ]*:'"$object"'\: :' > "$tmpdepfile"
rm -f "$depfile"
cat < "$tmpdepfile" > "$depfile"
***************
*** 286,319 ****
makedepend)
# X makedepend
! (
! shift
! cleared=no
! for arg in "$@"; do
! case $cleared in no)
! set ""; shift
! cleared=yes
! esac
! case "$arg" in
! -D*|-I*)
! set fnord "$@" "$arg"; shift;;
! -*)
! ;;
! *)
! set fnord "$@" "$arg"; shift;;
! esac
! done
! obj_suffix="`echo $object | sed 's/^.*\././'`"
! touch "$tmpdepfile"
! ${MAKEDEPEND-makedepend} 2>/dev/null -o"$obj_suffix" -f"$tmpdepfile" "$@"
! ) &
! proc=$!
! "$@"
! stat=$?
! wait "$proc"
! if test "$stat" != 0; then exit $stat; fi
rm -f "$depfile"
cat < "$tmpdepfile" > "$depfile"
! tail +3 "$tmpdepfile" | tr ' ' '
' | \
## Some versions of the HPUX 10.20 sed can't process this invocation
--- 306,334 ----
makedepend)
+ "$@" || exit $?
# X makedepend
! shift
! cleared=no
! for arg in "$@"; do
! case $cleared in
! no)
! set ""; shift
! cleared=yes ;;
! esac
! case "$arg" in
! -D*|-I*)
! set fnord "$@" "$arg"; shift ;;
! -*)
! ;;
! *)
! set fnord "$@" "$arg"; shift ;;
! esac
! done
! obj_suffix="`echo $object | sed 's/^.*\././'`"
! touch "$tmpdepfile"
! ${MAKEDEPEND-makedepend} -o"$obj_suffix" -f"$tmpdepfile" "$@"
rm -f "$depfile"
cat < "$tmpdepfile" > "$depfile"
! sed '1,2d' "$tmpdepfile" | tr ' ' '
' | \
## Some versions of the HPUX 10.20 sed can't process this invocation
***************
*** 325,357 ****
cpp)
# Important note: in order to support this mode, a compiler *must*
! # always write the proprocessed file to stdout, regardless of -o,
! # because we must use -o when running libtool.
! ( IFS=" "
! case " $* " in
! *" --mode=compile "*)
! for arg
! do # cycle over the arguments
! case $arg in
! "--mode=compile")
! # insert --quiet before "--mode=compile"
! set fnord "$@" --quiet
! shift # fnord
! ;;
! esac
! set fnord "$@" "$arg"
! shift # fnord
! shift # "$arg"
! done
;;
esac
! "$@" -E |
sed -n '/^# [0-9][0-9]* "\([^"]*\)".*/ s:: \1 \\:p' |
sed '$ s: \\$::' > "$tmpdepfile"
- ) &
- proc=$!
- "$@"
- stat=$?
- wait "$proc"
- if test "$stat" != 0; then exit $stat; fi
rm -f "$depfile"
echo "$object : \\" > "$depfile"
--- 340,376 ----
cpp)
# Important note: in order to support this mode, a compiler *must*
! # always write the proprocessed file to stdout.
! "$@" || exit $?
!
! # Remove the call to Libtool.
! if test "$libtool" = yes; then
! while test $1 != '--mode=compile'; do
! shift
! done
! shift
! fi
!
! # Remove `-o $object'.
! IFS=" "
! for arg
! do
! case $arg in
! -o)
! shift
! ;;
! $object)
! shift
! ;;
! *)
! set fnord "$@" "$arg"
! shift # fnord
! shift # $arg
;;
esac
! done
!
! "$@" -E |
sed -n '/^# [0-9][0-9]* "\([^"]*\)".*/ s:: \1 \\:p' |
sed '$ s: \\$::' > "$tmpdepfile"
rm -f "$depfile"
echo "$object : \\" > "$depfile"
***************
*** 365,394 ****
# always write the proprocessed file to stdout, regardless of -o,
# because we must use -o when running libtool.
! ( IFS=" "
! case " $* " in
! *" --mode=compile "*)
! for arg
! do # cycle over the arguments
! case $arg in
! "--mode=compile")
! # insert --quiet before "--mode=compile"
! set fnord "$@" --quiet
! shift # fnord
! ;;
! esac
set fnord "$@" "$arg"
! shift # fnord
! shift # "$arg"
! done
! ;;
esac
! "$@" -E |
! sed -n '/^#line [0-9][0-9]* "\([^"]*\)"/ s::echo "`cygpath -u \\"\1\\"`":p' | sort | uniq > "$tmpdepfile"
! ) &
! proc=$!
! "$@"
! stat=$?
! wait "$proc"
! if test "$stat" != 0; then exit $stat; fi
rm -f "$depfile"
echo "$object : \\" > "$depfile"
--- 384,406 ----
# always write the proprocessed file to stdout, regardless of -o,
# because we must use -o when running libtool.
! "$@" || exit $?
! IFS=" "
! for arg
! do
! case "$arg" in
! "-Gm"|"/Gm"|"-Gi"|"/Gi"|"-ZI"|"/ZI")
! set fnord "$@"
! shift
! shift
! ;;
! *)
set fnord "$@" "$arg"
! shift
! shift
! ;;
esac
! done
! "$@" -E |
! sed -n '/^#line [0-9][0-9]* "\([^"]*\)"/ s::echo "`cygpath -u \\"\1\\"`":p' | sort | uniq > "$tmpdepfile"
rm -f "$depfile"
echo "$object : \\" > "$depfile"
Index: INSTALL
===================================================================
RCS file: /cvsroot/lwatch/files/INSTALL,v
retrieving revision 1.2
retrieving revision 1.3
diff -C2 -d -r1.2 -r1.3
*** INSTALL 7 Sep 2002 02:07:18 -0000 1.2
--- INSTALL 3 Feb 2003 14:07:25 -0000 1.3
***************
*** 1,4 ****
! $Id$
! $Source$
Basic Installation
--- 1,7 ----
! Copyright (C) 1994, 1995, 1996, 1999, 2000, 2001, 2002 Free Software
! Foundation, Inc.
!
! This file is free documentation; the Free Software Foundation gives
! unlimited permission to copy, distribute and modify it.
Basic Installation
***************
*** 12,29 ****
It may also create one or more `.h' files containing system-dependent
definitions. Finally, it creates a shell script `config.status' that
! you can run in the future to recreate the current configuration, a file
! `config.cache' that saves the results of its tests to speed up
! reconfiguring, and a file `config.log' containing compiler output
! (useful mainly for debugging `configure').
If you need to do unusual things to compile the package, please try
to figure out how `configure' could check whether to do them, and mail
diffs or instructions to the address given in the `README' so they can
! be considered for the next release. If at some point `config.cache'
! contains results you don't want to keep, you may remove or edit it.
! The file `configure.in' is used to create `configure' by a program
! called `autoconf'. You only need `configure.in' if you want to change
! it or regenerate `configure' using a newer version of `autoconf'.
The simplest way to compile this package is:
--- 15,39 ----
It may also create one or more `.h' files containing system-dependent
definitions. Finally, it creates a shell script `config.status' that
! you can run in the future to recreate the current configuration, and a
! file `config.log' containing compiler output (useful mainly for
! debugging `configure').
!
! It can also use an optional file (typically called `config.cache'
! and enabled with `--cache-file=config.cache' or simply `-C') that saves
! the results of its tests to speed up reconfiguring. (Caching is
! disabled by default to prevent problems with accidental use of stale
! cache files.)
If you need to do unusual things to compile the package, please try
to figure out how `configure' could check whether to do them, and mail
diffs or instructions to the address given in the `README' so they can
! be considered for the next release. If you are using the cache, and at
! some point `config.cache' contains results you don't want to keep, you
! may remove or edit it.
! The file `configure.ac' (or `configure.in') is used to create
! `configure' by a program called `autoconf'. You only need
! `configure.ac' if you want to change it or regenerate `configure' using
! a newer version of `autoconf'.
The simplest way to compile this package is:
***************
*** 59,70 ****
Some systems require unusual options for compilation or linking that
! the `configure' script does not know about. You can give `configure'
! initial values for variables by setting them in the environment. Using
! a Bourne-compatible shell, you can do that on the command line like
! this:
! CC=c89 CFLAGS=-O2 LIBS=-lposix ./configure
! Or on systems that have the `env' program, you can do it like this:
! env CPPFLAGS=-I/usr/local/include LDFLAGS=-s ./configure
Compiling For Multiple Architectures
--- 69,82 ----
Some systems require unusual options for compilation or linking that
! the `configure' script does not know about. Run `./configure --help'
! for details on some of the pertinent environment variables.
! You can give `configure' initial values for configuration parameters
! by setting variables in the command line or in the environment. Here
! is an example:
!
! ./configure CC=c89 CFLAGS=-O2 LIBS=-lposix
!
! *Note Defining Variables::, for more details.
Compiling For Multiple Architectures
***************
*** 79,87 ****
source code in the directory that `configure' is in and in `..'.
! If you have to use a `make' that does not supports the `VPATH'
! variable, you have to compile the package for one architecture at a time
! in the source code directory. After you have installed the package for
! one architecture, use `make distclean' before reconfiguring for another
! architecture.
Installation Names
--- 91,99 ----
source code in the directory that `configure' is in and in `..'.
! If you have to use a `make' that does not support the `VPATH'
! variable, you have to compile the package for one architecture at a
! time in the source code directory. After you have installed the
! package for one architecture, use `make distclean' before reconfiguring
! for another architecture.
Installation Names
***************
*** 126,145 ****
==========================
! There may be some features `configure' can not figure out
! automatically, but needs to determine by the type of host the package
! will run on. Usually `configure' can figure that out, but if it prints
! a message saying it can not guess the host type, give it the
! `--host=TYPE' option. TYPE can either be a short name for the system
! type, such as `sun4', or a canonical name with three fields:
CPU-COMPANY-SYSTEM
! See the file `config.sub' for the possible values of each field. If
`config.sub' isn't included in this package, then this package doesn't
! need to know the host type.
! If you are building compiler tools for cross-compiling, you can also
use the `--target=TYPE' option to select the type of system they will
! produce code for and the `--build=TYPE' option to select the type of
! system on which you are compiling the package.
Sharing Defaults
--- 138,167 ----
==========================
! There may be some features `configure' cannot figure out
! automatically, but needs to determine by the type of machine the package
! will run on. Usually, assuming the package is built to be run on the
! _same_ architectures, `configure' can figure that out, but if it prints
! a message saying it cannot guess the machine type, give it the
! `--build=TYPE' option. TYPE can either be a short name for the system
! type, such as `sun4', or a canonical name which has the form:
!
CPU-COMPANY-SYSTEM
! where SYSTEM can have one of these forms:
!
! OS KERNEL-OS
!
! See the file `config.sub' for the possible values of each field. If
`config.sub' isn't included in this package, then this package doesn't
! need to know the machine type.
! If you are _building_ compiler tools for cross-compiling, you should
use the `--target=TYPE' option to select the type of system they will
! produce code for.
!
! If you want to _use_ a cross compiler, that generates code for a
! platform different from the build platform, you should specify the
! "host" platform (i.e., that on which the generated programs will
! eventually be run) with `--host=TYPE'.
Sharing Defaults
***************
*** 154,171 ****
A warning: not all `configure' scripts look for a site script.
! Operation Controls
==================
`configure' recognizes the following options to control how it
operates.
- `--cache-file=FILE'
- Use and save the results of the tests in FILE instead of
- `./config.cache'. Set FILE to `/dev/null' to disable caching, for
- debugging `configure'.
-
`--help'
Print a summary of the options to `configure', and exit.
`--quiet'
`--silent'
--- 176,217 ----
A warning: not all `configure' scripts look for a site script.
! Defining Variables
==================
+ Variables not defined in a site shell script can be set in the
+ environment passed to `configure'. However, some packages may run
+ configure again during the build, and the customized values of these
+ variables may be lost. In order to avoid this problem, you should set
+ them in the `configure' command line, using `VAR=value'. For example:
+
+ ./configure CC=/usr/local2/bin/gcc
+
+ will cause the specified gcc to be used as the C compiler (unless it is
+ overridden in the site shell script).
+
+ `configure' Invocation
+ ======================
+
`configure' recognizes the following options to control how it
operates.
`--help'
+ `-h'
Print a summary of the options to `configure', and exit.
+ `--version'
+ `-V'
+ Print the version of Autoconf used to generate the `configure'
+ script, and exit.
+
+ `--cache-file=FILE'
+ Enable the cache: use and save the results of the tests in FILE,
+ traditionally `config.cache'. FILE defaults to `/dev/null' to
+ disable caching.
+
+ `--config-cache'
+ `-C'
+ Alias for `--cache-file=config.cache'.
+
`--quiet'
`--silent'
***************
*** 179,185 ****
`configure' can determine that directory automatically.
! `--version'
! Print the version of Autoconf used to generate the `configure'
! script, and exit.
- `configure' also accepts some other, not widely useful, options.
--- 225,229 ----
`configure' can determine that directory automatically.
! `configure' also accepts some other, not widely useful, options. Run
! `configure --help' for more details.
Index: install-sh
===================================================================
RCS file: /cvsroot/lwatch/files/install-sh,v
retrieving revision 1.3
retrieving revision 1.4
diff -C2 -d -r1.3 -r1.4
*** install-sh 28 Jan 2003 23:31:01 -0000 1.3
--- install-sh 3 Feb 2003 14:07:25 -0000 1.4
***************
*** 57,61 ****
while [ x"$1" != x ]; do
case $1 in
! -c) instcmd="$cpprog"
shift
continue;;
--- 57,61 ----
while [ x"$1" != x ]; do
case $1 in
! -c) instcmd=$cpprog
shift
continue;;
***************
*** 80,84 ****
continue;;
! -s) stripcmd="$stripprog"
shift
continue;;
--- 80,84 ----
continue;;
! -s) stripcmd=$stripprog
shift
continue;;
***************
*** 107,114 ****
if [ x"$src" = x ]
then
! echo "install: no input file specified"
exit 1
else
! true
fi
--- 107,114 ----
if [ x"$src" = x ]
then
! echo "$0: no input file specified" >&2
exit 1
else
! :
fi
***************
*** 116,146 ****
dst=$src
src=""
!
! if [ -d $dst ]; then
instcmd=:
chmodcmd=""
else
! instcmd=mkdir
fi
else
# Waiting for this to be detected by the "$instcmd $src $dsttmp" command
! # might cause directories to be created, which would be especially bad
# if $src (and thus $dsttmp) contains '*'.
! if [ -f $src -o -d $src ]
then
! true
else
! echo "install: $src does not exist"
exit 1
fi
!
if [ x"$dst" = x ]
then
! echo "install: no destination specified"
exit 1
else
! true
fi
--- 116,146 ----
dst=$src
src=""
!
! if [ -d "$dst" ]; then
instcmd=:
chmodcmd=""
else
! instcmd=$mkdirprog
fi
else
# Waiting for this to be detected by the "$instcmd $src $dsttmp" command
! # might cause directories to be created, which would be especially bad
# if $src (and thus $dsttmp) contains '*'.
! if [ -f "$src" ] || [ -d "$src" ]
then
! :
else
! echo "$0: $src does not exist" >&2
exit 1
fi
!
if [ x"$dst" = x ]
then
! echo "$0: no destination specified" >&2
exit 1
else
! :
fi
***************
*** 148,161 ****
# does not like double slashes in filenames, you may need to add some logic
! if [ -d $dst ]
then
! dst="$dst"/`basename $src`
else
! true
fi
fi
## this sed command emulates the dirname command
! dstdir=`echo $dst | sed -e 's,[^/]*$,,;s,/$,,;s,^$,.,'`
# Make sure that the destination directory exists.
--- 148,161 ----
# does not like double slashes in filenames, you may need to add some logic
! if [ -d "$dst" ]
then
! dst=$dst/`basename "$src"`
else
! :
fi
fi
## this sed command emulates the dirname command
! dstdir=`echo "$dst" | sed -e 's,[^/]*$,,;s,/$,,;s,^$,.,'`
# Make sure that the destination directory exists.
***************
*** 164,191 ****
# Skip lots of stat calls in the usual case.
if [ ! -d "$dstdir" ]; then
! defaultIFS='
! '
! IFS="${IFS-${defaultIFS}}"
! oIFS="${IFS}"
# Some sh's can't handle IFS=/ for some reason.
IFS='%'
! set - `echo ${dstdir} | sed -e 's@/@%@g' -e 's@^%@/@'`
! IFS="${oIFS}"
pathcomp=''
while [ $# -ne 0 ] ; do
! pathcomp="${pathcomp}${1}"
shift
! if [ ! -d "${pathcomp}" ] ;
then
! $mkdirprog "${pathcomp}"
else
! true
fi
! pathcomp="${pathcomp}/"
done
fi
--- 164,191 ----
# Skip lots of stat calls in the usual case.
if [ ! -d "$dstdir" ]; then
! defaultIFS='
! '
! IFS="${IFS-$defaultIFS}"
! oIFS=$IFS
# Some sh's can't handle IFS=/ for some reason.
IFS='%'
! set - `echo "$dstdir" | sed -e 's@/@%@g' -e 's@^%@/@'`
! IFS=$oIFS
pathcomp=''
while [ $# -ne 0 ] ; do
! pathcomp=$pathcomp$1
shift
! if [ ! -d "$pathcomp" ] ;
then
! $mkdirprog "$pathcomp"
else
! :
fi
! pathcomp=$pathcomp/
done
fi
***************
*** 193,211 ****
if [ x"$dir_arg" != x ]
then
! $doit $instcmd $dst &&
! if [ x"$chowncmd" != x ]; then $doit $chowncmd $dst; else true ; fi &&
! if [ x"$chgrpcmd" != x ]; then $doit $chgrpcmd $dst; else true ; fi &&
! if [ x"$stripcmd" != x ]; then $doit $stripcmd $dst; else true ; fi &&
! if [ x"$chmodcmd" != x ]; then $doit $chmodcmd $dst; else true ; fi
else
# If we're going to rename the final executable, determine the name now.
! if [ x"$transformarg" = x ]
then
! dstfile=`basename $dst`
else
! dstfile=`basename $dst $transformbasename |
sed $transformarg`$transformbasename
fi
--- 193,211 ----
if [ x"$dir_arg" != x ]
then
! $doit $instcmd "$dst" &&
! if [ x"$chowncmd" != x ]; then $doit $chowncmd "$dst"; else : ; fi &&
! if [ x"$chgrpcmd" != x ]; then $doit $chgrpcmd "$dst"; else : ; fi &&
! if [ x"$stripcmd" != x ]; then $doit $stripcmd "$dst"; else : ; fi &&
! if [ x"$chmodcmd" != x ]; then $doit $chmodcmd "$dst"; else : ; fi
else
# If we're going to rename the final executable, determine the name now.
! if [ x"$transformarg" = x ]
then
! dstfile=`basename "$dst"`
else
! dstfile=`basename "$dst" $transformbasename |
sed $transformarg`$transformbasename
fi
***************
*** 213,232 ****
# don't allow the sed command to completely eliminate the filename
! if [ x"$dstfile" = x ]
then
! dstfile=`basename $dst`
else
! true
fi
! # Make a temp file name in the proper directory.
dsttmp=$dstdir/#inst.$$#
! # Move or copy the file name to the temp name
! $doit $instcmd $src $dsttmp &&
! trap "rm -f ${dsttmp}" 0 &&
# and set any options; do chmod last to preserve setuid bits
--- 213,236 ----
# don't allow the sed command to completely eliminate the filename
! if [ x"$dstfile" = x ]
then
! dstfile=`basename "$dst"`
else
! :
fi
! # Make a couple of temp file names in the proper directory.
dsttmp=$dstdir/#inst.$$#
+ rmtmp=$dstdir/#rm.$$#
! # Trap to clean up temp files at exit.
! trap 'status=$?; rm -f "$dsttmp" "$rmtmp" && exit $status' 0
! trap '(exit $?); exit' 1 2 13 15
! # Move or copy the file name to the temp name
!
! $doit $instcmd "$src" "$dsttmp" &&
# and set any options; do chmod last to preserve setuid bits
***************
*** 236,251 ****
# errors from the above "$doit $instcmd $src $dsttmp" command.
! if [ x"$chowncmd" != x ]; then $doit $chowncmd $dsttmp; else true;fi &&
! if [ x"$chgrpcmd" != x ]; then $doit $chgrpcmd $dsttmp; else true;fi &&
! if [ x"$stripcmd" != x ]; then $doit $stripcmd $dsttmp; else true;fi &&
! if [ x"$chmodcmd" != x ]; then $doit $chmodcmd $dsttmp; else true;fi &&
# Now rename the file to the real destination.
! $doit $rmcmd -f $dstdir/$dstfile &&
! $doit $mvcmd $dsttmp $dstdir/$dstfile
fi &&
! exit 0
--- 240,276 ----
# errors from the above "$doit $instcmd $src $dsttmp" command.
! if [ x"$chowncmd" != x ]; then $doit $chowncmd "$dsttmp"; else :;fi &&
! if [ x"$chgrpcmd" != x ]; then $doit $chgrpcmd "$dsttmp"; else :;fi &&
! if [ x"$stripcmd" != x ]; then $doit $stripcmd "$dsttmp"; else :;fi &&
! if [ x"$chmodcmd" != x ]; then $doit $chmodcmd "$dsttmp"; else :;fi &&
!
! # Now remove or move aside any old file at destination location. We try this
! # two ways since rm can't unlink itself on some systems and the destination
! # file might be busy for other reasons. In this case, the final cleanup
! # might fail but the new file should still install successfully.
!
! {
! if [ -f "$dstdir/$dstfile" ]
! then
! $doit $rmcmd -f "$dstdir/$dstfile" 2>/dev/null ||
! $doit $mvcmd -f "$dstdir/$dstfile" "$rmtmp" 2>/dev/null ||
! {
! echo "$0: cannot unlink or rename $dstdir/$dstfile" >&2
! (exit 1); exit
! }
! else
! :
! fi
! } &&
# Now rename the file to the real destination.
! $doit $mvcmd "$dsttmp" "$dstdir/$dstfile"
fi &&
+ # The final little trick to "correctly" pass the exit status to the exit trap.
! {
! (exit 0); exit
! }
Index: missing
===================================================================
RCS file: /cvsroot/lwatch/files/missing,v
retrieving revision 1.3
retrieving revision 1.4
diff -C2 -d -r1.3 -r1.4
*** missing 28 Jan 2003 23:31:01 -0000 1.3
--- missing 3 Feb 2003 14:07:25 -0000 1.4
***************
*** 1,5 ****
#! /bin/sh
# Common stub for a few missing GNU programs while installing.
! # Copyright 1996, 1997, 1999, 2000 Free Software Foundation, Inc.
# Originally by Fran,cois Pinard <pi...@ir...>, 1996.
--- 1,5 ----
#! /bin/sh
# Common stub for a few missing GNU programs while installing.
! # Copyright (C) 1996, 1997, 1999, 2000, 2002 Free Software Foundation, Inc.
# Originally by Fran,cois Pinard <pi...@ir...>, 1996.
***************
*** 79,83 ****
-v|--v|--ve|--ver|--vers|--versi|--versio|--version)
! echo "missing 0.3 - GNU automake"
;;
--- 79,83 ----
-v|--v|--ve|--ver|--vers|--versi|--versio|--version)
! echo "missing 0.4 - GNU automake"
;;
***************
*** 88,92 ****
;;
! aclocal)
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
--- 88,97 ----
;;
! aclocal*)
! if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
! # We have it, but it failed.
! exit 1
! fi
!
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
***************
*** 98,101 ****
--- 103,111 ----
autoconf)
+ if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+ # We have it, but it failed.
+ exit 1
+ fi
+
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
***************
*** 107,110 ****
--- 117,125 ----
autoheader)
+ if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+ # We have it, but it failed.
+ exit 1
+ fi
+
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
***************
*** 125,129 ****
;;
! automake)
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
--- 140,149 ----
;;
! automake*)
! if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
! # We have it, but it failed.
! exit 1
! fi
!
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
***************
*** 136,139 ****
--- 156,187 ----
;;
+ autom4te)
+ if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+ # We have it, but it failed.
+ exit 1
+ fi
+
+ echo 1>&2 "\
+ WARNING: \`$1' is needed, and you do not seem to have it handy on your
+ system. You might have modified some files without having the
+ proper tools for further handling them.
+ You can get \`$1Help2man' as part of \`Autoconf' from any GNU
+ archive site."
+
+ file=`echo "$*" | sed -n 's/.*--output[ =]*\([^ ]*\).*/\1/p'`
+ test -z "$file" && file=`echo "$*" | sed -n 's/.*-o[ ]*\([^ ]*\).*/\1/p'`
+ if test -f "$file"; then
+ touch $file
+ else
+ test -z "$file" || exec >$file
+ echo "#! /bin/sh"
+ echo "# Created by GNU Automake missing as a replacement of"
+ echo "# $ $@"
+ echo "exit 0"
+ chmod +x $file
+ exit 1
+ fi
+ ;;
+
bison|yacc)
echo 1>&2 "\
***************
*** 190,193 ****
--- 238,246 ----
help2man)
+ if test -z "$run" && ($1 --version) > /dev/null 2>&1; then
+ # We have it, but it failed.
+ exit 1
+ fi
+
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
***************
*** 241,248 ****
# messages.
if (gnutar --version > /dev/null 2>&1); then
! gnutar ${1+"$@"} && exit 0
fi
if (gtar --version > /dev/null 2>&1); then
! gtar ${1+"$@"} && exit 0
fi
firstarg="$1"
--- 294,301 ----
# messages.
if (gnutar --version > /dev/null 2>&1); then
! gnutar "$@" && exit 0
fi
if (gtar --version > /dev/null 2>&1); then
! gtar "$@" && exit 0
fi
firstarg="$1"
***************
*** 251,255 ****
*o*)
firstarg=`echo "$firstarg" | sed s/o//`
! tar "$firstarg" ${1+"$@"} && exit 0
;;
esac
--- 304,308 ----
*o*)
firstarg=`echo "$firstarg" | sed s/o//`
! tar "$firstarg" "$@" && exit 0
;;
esac
***************
*** 257,261 ****
*h*)
firstarg=`echo "$firstarg" | sed s/h//`
! tar "$firstarg" ${1+"$@"} && exit 0
;;
esac
--- 310,314 ----
*h*)
firstarg=`echo "$firstarg" | sed s/h//`
! tar "$firstarg" "$@" && exit 0
;;
esac
Index: mkinstalldirs
===================================================================
RCS file: /cvsroot/lwatch/files/mkinstalldirs,v
retrieving revision 1.3
retrieving revision 1.4
diff -C2 -d -r1.3 -r1.4
*** mkinstalldirs 28 Jan 2003 23:31:01 -0000 1.3
--- mkinstalldirs 3 Feb 2003 14:07:25 -0000 1.4
***************
*** 5,40 ****
# Public domain
- # $Id$
-
errstatus=0
for file
do
! set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
! shift
! pathcomp=
! for d
! do
! pathcomp="$pathcomp$d"
! case "$pathcomp" in
! -* ) pathcomp=./$pathcomp ;;
! esac
! if test ! -d "$pathcomp"; then
! echo "mkdir $pathcomp"
! mkdir "$pathcomp" || lasterr=$?
! if test ! -d "$pathcomp"; then
! errstatus=$lasterr
! fi
! fi
! pathcomp="$pathcomp/"
! done
done
exit $errstatus
# mkinstalldirs ends here
--- 5,111 ----
# Public domain
errstatus=0
+ dirmode=""
+
+ usage="\
+ Usage: mkinstalldirs [-h] [--help] [-m mode] dir ..."
+
+ # process command line arguments
+ while test $# -gt 0 ; do
+ case $1 in
+ -h | --help | --h*) # -h for help
+ echo "$usage" 1>&2
+ exit 0
+ ;;
+ -m) # -m PERM arg
+ shift
+ test $# -eq 0 && { echo "$usage" 1>&2; exit 1; }
+ dirmode=$1
+ shift
+ ;;
+ --) # stop option processing
+ shift
+ break
+ ;;
+ -*) # unknown option
+ echo "$usage" 1>&2
+ exit 1
+ ;;
+ *) # first non-opt arg
+ break
+ ;;
+ esac
+ done
for file
do
! if test -d "$file"; then
! shift
! else
! break
! fi
! done
! case $# in
! 0) exit 0 ;;
! esac
! case $dirmode in
! '')
! if mkdir -p -- . 2>/dev/null; then
! echo "mkdir -p -- $*"
! exec mkdir -p -- "$@"
! fi
! ;;
! *)
! if mkdir -m "$dirmode" -p -- . 2>/dev/null; then
! echo "mkdir -m $dirmode -p -- $*"
! exec mkdir -m "$dirmode" -p -- "$@"
! fi
! ;;
! esac
! for file
! do
! set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
! shift
! pathcomp=
! for d
! do
! pathcomp="$pathcomp$d"
! case $pathcomp in
! -*) pathcomp=./$pathcomp ;;
! esac
! if test ! -d "$pathcomp"; then
! echo "mkdir $pathcomp"
!
! mkdir "$pathcomp" || lasterr=$?
!
! if test ! -d "$pathcomp"; then
! errstatus=$lasterr
! else
! if test ! -z "$dirmode"; then
! echo "chmod $dirmode $pathcomp"
! lasterr=""
! chmod "$dirmode" "$pathcomp" || lasterr=$?
!
! if test ! -z "$lasterr"; then
! errstatus=$lasterr
! fi
! fi
! fi
! fi
!
! pathcomp="$pathcomp/"
! done
done
exit $errstatus
+ # Local Variables:
+ # mode: shell-script
+ # sh-indentation: 2
+ # End:
# mkinstalldirs ends here
|